

import org.apache.logging.log4j.Level;

public class Logger {

	private static Logger instance;

	private static org.apache.logging.log4j.Logger log4jLogger;

	private Logger() {
		initLogger();
	}

	private void initLogger() {
		log4jLogger = org.apache.logging.log4j.LogManager.getLogger();
	}

	public static Logger getInstance() {
		if (instance == null) {
			instance = new Logger();
		}
		return instance;
	}

	public void log(Level level, Exception ex, Class<?> clazz) {
		log4jLogger.log(level, ex.getMessage());
	}

	public void log(Level level, String message) {
		log4jLogger.log(level, message);
	}

	public boolean isDebugEnabled() {
		return this.log4jLogger.isDebugEnabled();
	}
}
